curlcpp = library(meson.project_name(),
  'curl_easy.cpp',
  'curl_header.cpp',
  'curl_global.cpp',
  'curl_form.cpp',
  'curl_multi.cpp',
  'curl_share.cpp',
  'curl_info.cpp',
  'curl_cookie.cpp',
  'curl_exception.cpp',
  'cookie.cpp',
  'cookie_date.cpp',
  'cookie_time.cpp',
  'cookie_datetime.cpp',
  dependencies: [curl_dep],
  include_directories: public_incl,
  install: (not meson.is_subproject() or get_option('default_library')=='shared')
)

curlcpp_dep = declare_dependency(
  link_with: curlcpp,
  include_directories: public_incl,
  dependencies: curl_dep.partial_dependency(includes: true),
)
